%global gitrev 6cb08d0
%global realname rosdep
Name:           python-rosdep
Version:        0.9.5
Release:        1%{?dist}
Summary:        ROS System Dependency Installer

License:        BSD
URL:            http://ros.org/wiki/rosdep
# wget --content-disposition https://github.com/ros/rosdep/tarball/%{version}
Source0:        ros-%{realname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx

%description
rosdep is a command-line tool for installing system dependencies. For 
end-users, rosdep helps you install system dependencies for software that 
you are building from source. For developers, rosdep simplifies the problem 
of installing system dependencies on different platforms. Instead of having to 
figure out which debian package on Ubuntu Oneiric contains Boost, you can just 
specify a dependency on 'boost'.



%prep
%setup -q -n ros-%{realname}-%{gitrev}


%build
pushd doc
make man
# HTML requires ros-theme
#make html
popd

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}
install -p -m 0644 manifest.xml $RPM_BUILD_ROOT%{_datadir}/%{realname}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/man/rosdep.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%{_bindir}/*
%{python_sitelib}/*egg-info
%{python_sitelib}/%{realname}2
%{_mandir}/man1/*.gz
%{_datadir}/%{realname}

%changelog
* Sat Jun 16 2012 Rich Mattes <richmattes@gmail.com> - 0.9.5-1
- Update to 0.9.5

* Sun Apr 29 2012 Rich Mattes <richmattes@gmail.com> - 0.9.3-1
- Initial package
